
#include <stdio.h>
#include <string.h>
#include "pfq_service.h"

int freadl ( FILE *fp, char* buf, int buflen ) {
	int p = 0;

	if ( !fp )
		return 0;

	memset ( buf, 0, buflen );
	while ( p<buflen && fread ( buf+p, 1, 1, fp ) ) {
		if ( *(buf+p) == '\n' ) {
			*(buf+p) = '\0';
			return 1;
		}
		p++;
	}
	return 0;
}

int flookfor ( FILE *fp, char* buf, int bufsize, char* w ) {
	int b;
	int  wlen;
	char b2[PRIV_BUF_SIZE];

	wlen = strlen ( w );
	b = 0;
	
	while ( !b && freadl ( fp, buf, bufsize ) )
		b = !strncmp ( buf, w, wlen );
	if ( b ) {
		memcpy ( b2, buf, bufsize );
		memcpy ( buf, b2+wlen, bufsize-wlen );
		*(buf+bufsize-1) = '\0';
	}
	return ( b );
}
